<?php
require_once "../../../config/database.php";

$queryclose = mysqli_query($mysqli, "SELECT apertura FROM apertura_cierre where id = 1") 
or die('error: '.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryclose);
$data  = mysqli_fetch_assoc($queryclose);
$bandera = $data['apertura'];
/*print_r($bandera);
die();*/

if($bandera == 'CERRADO') {
	echo '<script>
                alert("EL ALMACEN SE ENCUENTRA CERRADO POR INVENTARIO DEL SUPERVISOR");
                window.location = "main.php?module=start";
          </script>';     
    return;
}



    $alerta = 0;
	//var_dump($_POST); die();
    if (isset($_POST['id']) && isset($_POST['comentario'])) {
      $id = $_POST['id'];
	  $comentario = $_POST['comentario'];
	  
	  	  
	  $queryclose = mysqli_query($mysqli, "SELECT status FROM remision_encabezado WHERE id = $id ") 
		or die('error: '.mysqli_error($mysqli));
		$rows  = mysqli_num_rows($queryclose);
		$data  = mysqli_fetch_assoc($queryclose);
		$status_s = $data['status'];
		

        if($status_s <> 'A') {
        	echo '<script>
                        alert("LA REMISION NO PUEDE CANCELARSE, YA TIENE UNA SALIDA POSTERIOR O SE ENCUENTRA CANCELADA");
                        window.location = "main.php?module=remision_consulta";
                  </script>';  
         return;		  
            
        }
	  
      $queryDel = mysqli_query($mysqli, "UPDATE remision_encabezado SET status = 'C', txtCancel = '".$comentario."' WHERE id = $id")
                  or die('error '.mysqli_error($mysqli));
      if($queryDel)
        $alerta = 1;
    }  

    if ($alerta == 1) {
      echo "<div class='alert alert-success alert-dismissable'>
              <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
              <h4>  <i class='icon fa fa-check-circle'></i> Exito!</h4>
              Remision cancelada correctamente.
            </div>";
    }else{
		echo "";
	}    
	
	$queryDeldet = mysqli_query($mysqli, "UPDATE remision_detalle SET status = 'C',transito = 'C' WHERE idenc= $id")
                or die('error '.mysqli_error($mysqli));	
    ?>